Bug 13248 - Выводит usage в юникоде
: Выводит usage в юникоде
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/desktop-file-utils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-10-30 11:44 by
Modified: 2011-01-04 14:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-10-30 11:44:22
Программа desktop-file-utils выводит usage в виде юникода:

[c0der@rock ~]$ desktop-file-install --help | head
:
  desktop-file-install [OPTION...] [FILE...] 

 :
  -?, --help                          
  --help-all                           
  --help-edit                       Show desktop file edition options

 :
  --vendor                          Specify the vendor prefix to be applied to
the desktop file. If the file already has this prefix, nothing happens.

[c0der@rock ~]$ rpm -qf =desktop-file-install
desktop-file-utils-0.14-alt1

Локаль - CP1251.
------- Comment #1 From 2007-10-30 11:45:16 -------
P.S. В примере почему-то юникодные символы не видны, но они есть.
------- Comment #2 From 2007-10-30 20:36:09 -------
УМВР.
1251, 0.12 и 0.14
------- Comment #3 From 2007-10-31 10:25:57 -------
(In reply to comment #2)
> УМВР.
> 1251, 0.12 и 0.14

Странно. А у меня в юникоде. Как такое возможно, что у тебя работает, а у меня нет?
------- Comment #4 From 2008-05-10 22:14:36 -------
Сейчас снова проверил. Версия desktop-file-utils та же, локаль та же, но уже не
воспроизводится. Видать изменилось окружение или что-то ещё.
------- Comment #5 From 2011-01-04 14:00:48 -------
Всё ок на desktop-file-utils-0.15-alt3